// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    repositories {
        google()
        mavenCentral()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:7.0.2' // Use a versão do Gradle que corresponde à sua configuração
        classpath 'org.jetbrains.kotlin:kotlin-gradle-plugin:1.7.10' // Kotlin Gradle plugin
        classpath 'com.google.gms:google-services:4.4.2' // Google Services plugin
        // Certifique-se de adicionar outras dependências do classpath aqui, se necessário.
    }
}

allprojects {
    repositories {
        google()
        mavenCentral()
        // Adicione outros repositórios aqui, se necessário.
    }
}

rootProject.buildDir = '../build'
subprojects {
    project.buildDir = "${rootProject.buildDir}/${project.name}"
    project.evaluationDependsOn(':app')
}

tasks.register("clean", Delete) {
    delete rootProject.buildDir
}